package com.seostella.swfhellojohn.flow;

import com.seostella.swfhellojohn.domain.User;
import org.springframework.stereotype.Component;

/**
 *
 * @author seostella.com
 */
@Component
public class HellojohnFlowActions {

    public User createUser(String name) throws TooShortUsernameException{
        if (name != null && name.length() > 2) {
            User user = new User(name);
            return user;
        } else {
            throw new TooShortUsernameException();
        }
    }
}
